python-stdnum (1.7-1) unstable; urgency=medium

  * New upstream release:
     - add modules for the following number formats:
      - BN (Canadian Business Number)
      - SIN (Canadian Social Insurance Number)
      - IdNr (Steuerliche Identifikationsnummer, German personal tax number)
        (thanks Mohammed Salman of Holvi)
      - Registrikood (Estonian organisation registration code)
        (thanks Mohammed Salman of Holvi)
      - Veronumero (Finnish individual tax number)
        (thanks Mohammed Salman of Holvi)
      - UPN (English Unique Pupil Number)
    - fix a bug in the Czech DIČ check digit calculation
    - fix conversion of 9 digit ISBN to ISBN13
    - fix a bug in the Damm is_valid() function
    - more validation of 13-digit ISBN values
    - more validation of ISMN values
    - various code and test improvements (100% branch coverage now)
    - documentation improvements
  * Update debian/copyright
  * Upgrade to standards-version 4.0.1 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Thu, 14 Sep 2017 22:39:29 +0200

python-stdnum (1.6-1) unstable; urgency=medium

  * New upstream release:
    - add modules for the following number formats:
      - CBU (Clave Bancaria Uniforme, Argentine bank account number)
        (thanks Luciano Rossi)
      - EIC (European Energy Identification Code)
      - NACE (classification for businesses in the European Union)
      - LEI (Legal Entity Identifier)
      - n° TVA (taxe sur la valeur ajoutée, Monacan VAT number)
      - PIB (Poreski Identifikacioni Broj, Serbian tax identification number)
    - add online check example that finds valid formats for a given number
    - fix support for Ñ in Spanish Referencia Catastral
    - updates to U.S. Employer Identification Number (thanks Greg Kuwaye)
    - various minor improvements
  * Update debian/copyright
  * Switch URLs to HTTPS

 -- Arthur de Jong <adejong@debian.org>  Tue, 11 Apr 2017 23:01:27 +0200

python-stdnum (1.5-1) unstable; urgency=medium

  * New upstream release:
    - add modules for the following number formats:
      - ABN (Australian Business Number)
      - ACN (Australian Company Number)
      - TFN (Australian Tax File Number)
      - CCC (Código Cuenta Corriente, Spanish Bank Account Code)
      - CUPS (Código Unificado de Punto de Suministro, Supply Point Unified
        Code)
      - Spanish IBAN (International Bank Account Number)
      - Referencia Catastral (Spanish real estate property id)
    - The IBAN module now support validating the country-specific part
    - The Belgian VAT number is now also referenced as businessid
    - add a Tox configuration file
  * Update debian/copyright

 -- Arthur de Jong <adejong@debian.org>  Sun, 13 Nov 2016 23:56:05 +0100

python-stdnum (1.4-1) unstable; urgency=medium

  * New upstream release:
    - add modules for the following number formats:
      - NIF (Numéro d'Immatriculation Fiscale, French tax identification
        number) provided by Dimitri Papadopoulos
      - NIR (French personal identification number) provided by Dimitri
        Papadopoulos
      - SIRET (a French company establishment identification number) provided
        by Yoann Aubineau
      - NHS (United Kingdom National Health Service patient identifier)
      - T.C. Kimlik No. (Turkish personal identification number)
    - add an implementation of the Damm algorithm
    - ensure data files are properly closed
    - documentation improvements
    - extend test suite
    - a number of minor bug fixes and improvements
  * Upgrade to standards-version 3.9.8 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Wed, 27 Jul 2016 00:09:23 +0200

python-stdnum (1.3-1) unstable; urgency=medium

  * New upstream release:
    - fix ISO 6346 check digit calculation (thanks Ronald Paloschi)
    - fix problem with check_vies_approx() (thanks Lionel Elie Mamane)
      (closes: #803316)
    - fix problem with SOAP client when using suds
    - include documentation that was previously on the Trac wiki
  * Update debian/copyright
  * Add a python-stdnum-doc package
  * Use https in Vcs-Git field (thanks lintian)
  * Upgrade to standards-version 3.9.7 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Sun, 06 Mar 2016 14:58:01 +0100

python-stdnum (1.2-1) unstable; urgency=medium

  * New upstream release:
    - add modules for the following number formats:
      - Austrian Company Register Numbers
      - CNPJ (Cadastro Nacional da Pessoa Jurídica, Brazillian company
        identifier)
      - UID (Unternehmens-Identifikationsnummer, Swiss business identifier)
      - VAT, MWST, TVA, IVA, TPV (Mehrwertsteuernummer, the Swiss VAT number)
      - CUSIP number (financial security identification number)
      - Wertpapierkennnummer (German securities identification code)
      - Isikukood (Estonian Personcal ID number)
      - Finnish Association Identifier
      - Y-tunnus (Finnish business identifier)
      - SEDOL number (Stock Exchange Daily Official List number)
      - IMO number (International Maritime Organization number)
      - ISIN (International Securities Identification Number)
      - RFC (Registro Federal de Contribuyentes, Mexican tax number)
      - PESEL (Polish national identification number)
      - REGON (Rejestr Gospodarki Narodowej, Polish register of economic units)
      - ИНН (Идентификационный номер налогоплательщика, Russian tax identifier)
    - add an alternate VIES check (check_vies_approx()) that includes a proof
      (certificate) that the check was performed (closes: #783644)
    - fall back to pysimplesoap if suds is unavailable (closes: #774948)
    - test and code quality improvements
  * Update debian/copyright
  * Suggest python-pysimplesoap (over python-suds) for SOAP calls
  * Switch to pybuild buildsystem

 -- Arthur de Jong <adejong@debian.org>  Sun, 11 Oct 2015 14:32:05 +0200

python-stdnum (1.1-1) unstable; urgency=medium

  * New upstream release:
    - add number formats based on the implementation in the vatnumber module:
      - NIPT (Numri i Identifikimit për Personin e Tatueshëm, Albanian VAT
        number)
      - CUIT (Código Único de Identificación Tributaria, Argentinian tax
        number)
      - RUT (Rol Único Tributario, Chilean national tax number)
      - NIT (Número De Identificación Tributaria, Colombian identity code)
      - COE (Codice operatore economico, San Marino national tax number)
    - add modules for the following number formats:
      - Cedula (Dominican Republic national identification number)
      - RNC (Registro Nacional del Contribuyente, Dominican Republic tax
        number)
      - Kennitala (Icelandic personal and organisation identity code,
        provided by Tuomas Toivonen)
      - VSK number (Virðisaukaskattsnúmer, Icelandic VAT number, provided by
        Tuomas Toivonen)
      - ISO 9362 (Business identifier codes, provided by Tony Bajan)
      - MVA (Merverdiavgift, Norwegian VAT number, provided by Tuomas
        Toivonen)
      - Orgnr (Organisasjonsnummer, Norwegian organisation number, provided
        by Tuomas Toivonen)
      - Orgnr (Organisationsnummer, Swedish company number, provided by Tomas
        Thor Jonsson)
    - add Croatia to list of EU VAT numbers
    - various small fixes and additional tests for existing modules
  * Update debhelper compatibility level to 9
  * Update debian/copyright

 -- Arthur de Jong <adejong@debian.org>  Mon, 27 Apr 2015 20:40:00 +0200

python-stdnum (1.0-1) unstable; urgency=medium

  * New upstream release:
    - add modules for the following number formats:
      - Swiss social security number ("Sozialversicherungsnummer")
      - RIC No. (Chinese Resident Identity Card Number)
      - CI (Cédula de identidad, Ecuadorian personal identity code)
      - RUC (Registro Único de Contribuyentes, Ecuadorian company tax number)
      - SEPA Identifier of the Creditor (AT-02)
      - ISO 6346 (International standard for container identification)
      - Codice Fiscale (Italian tax code for individuals)
      - RTN (Routing transport number)
    - Add support for 2013 extension of Irish PPS Numbers
  * Move upstream key to debian/upstream/signing-key.asc
  * Drop all patches (all are in this upstream release)
  * Update debian/copyright
  * Upgrade to standards-version 3.9.6 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Sun, 19 Oct 2014 23:30:00 +0200

python-stdnum (0.9-2) unstable; urgency=medium

  * Add dont-require-distribute.patch which removes the dependency on
    distribute (Closes: #733869)

 -- Arthur de Jong <adejong@debian.org>  Wed, 01 Jan 2014 23:50:00 +0100

python-stdnum (0.9-1) unstable; urgency=low

  * New upstream release:
    - add modules for the following number formats:
      - Brin number (Dutch number for schools)
      - Postcode (Dutch postal code)
      - ATIN (U.S. Adoption Taxpayer Identification Number)
      - EIN (U.S. Employer Identification Number)
      - ITIN (U.S. Individual Taxpayer Identification Number)
      - PTIN (U.S. Preparer Tax Identification Number)
      - TIN (U.S. Taxpayer Identification Number)
    - try to replace Unicode characters with similar-looking ASCII characters
    - update getimsi script (thanks eneq123)
    - update getiban script
    - add proxy support to the stdnum.eu.vat.check_vies() function (thanks
      Cédric Krier)
    - support newer United Kingdom VAT numbers
  * Upgrade to standards-version 3.9.5 (no changes needed)
  * Add signature checking option to watch file
  * Use extend-diff-ignore in debian/source/options to ignore files and
    directories that are created during the build to avoid double build errors

 -- Arthur de Jong <adejong@debian.org>  Tue, 31 Dec 2013 15:00:00 +0100

python-stdnum (0.8.1-1) unstable; urgency=low

  * New upstream release:
    - add modules for the following number formats:
      - NRIC No. (Malaysian National Registration Identity Card Number)
    - all modules now provide a validate() function that throws an exception
      that contains more information on the failure reason
    - documentation improvements
    - remove add_check_digit parameter from GRid's format() function
    - improvements to the tests
    - re-add Python3 support (now tested with Python 2.7, 3.2 and 3.3)
  * Drop all patches (all are in this upstream release)
  * The tests require python-nose 1.2.0 or newer (bump build dependency)
  * Add suggests on python-suds for EU VIES lookups

 -- Arthur de Jong <adejong@debian.org>  Tue, 18 Jun 2013 20:50:00 +0200

python-stdnum (0.7-2) unstable; urgency=low

  * Move python-all and python3-all from Build-Depends-Indep to
    Build-Depends.
  * Remove coverage and build data on clean (closes: #671426)
  * Update Vcs-* fields to point to anonscm
  * Upgrade to standards-version 3.9.4 (no changes needed)
  * Fix build failures on Python 3.3 (closes: #705809):
    - Add dont-depend-on-dict-ordering.patch which fixes the doctests to
      not be dependent on dict ordering
    - Add use-cleaner-way-to-get-all-modules.patch which uses a cleaner
      way to list all stdnum modules

 -- Arthur de Jong <adejong@debian.org>  Sat, 27 Apr 2013 22:30:00 +0200

python-stdnum (0.7-1) unstable; urgency=low

  * New upstream release:
    - add modules for the following number formats:
      - Onderwijsnummer (Dutch school number)
      - BTW-nummer (Omzetbelastingnummer, the Dutch VAT number)
      - HETU (Finnish personal identity code) as provided by Jussi Judin (#5)
      - RČ (Rodné číslo, the Czech and Slovak birth numbers)
      - SIREN (a French company identification number)
      - FPA, ΦΠΑ (Foros Prostithemenis Aksias, the Greek VAT number)
      - Ust ID Nr. (Umsatzsteur Identifikationnummer, the German VAT number)
      - BTW, TVA, NWSt (Belgian VAT number)
      - DNI (Documento nacional de identidad, Spanish personal identity codes)
      - NIE (Número de Identificación de Extranjeros, Spanish foreigner
        number)
      - CIF (Certificado de Identificación Fiscal, Spanish company tax number)
      - NIF (Número de Identificación Fiscal, Spanish VAT number)
      - PVN (Pievienotās vērtības nodokļa, Latvian VAT number)
      - CVR (Momsregistreringsnummer, Danish VAT number)
      - TVA (taxe sur la valeur ajoutée, Luxembourgian VAT number)
      - CNP (Cod Numeric Personal, Romanian Numerical Personal Code)
      - CF (Cod de înregistrare în scopuri de TVA, Romanian VAT number)
      - Partita IVA (Italian VAT number)
      - Αριθμός Εγγραφής Φ.Π.Α. (Cypriot VAT number)
      - UID (Umsatzsteuer-Identifikationsnummer, Austrian VAT number)
      - NIF (Número de identificação fiscal, Portuguese VAT number)
      - IČ DPH (IČ pre daň z pridanej hodnoty, Slovak VAT number)
      - ALV nro (Arvonlisäveronumero, Finnish VAT number)
      - DIČ (Daňové identifikační číslo, Czech VAT number)
      - ANUM (Közösségi adószám, Hungarian VAT number)
      - VAT (Irish VAT number)
      - KMKR (Käibemaksukohuslase, Estonian VAT number)
      - PVM (Pridėtinės vertės mokestis mokėtojo kodas, Lithuanian VAT number)
      - n° TVA (taxe sur la valeur ajoutée, French VAT number)
      - VAT (Maltese VAT number)
      - NIP (Numer Identyfikacji Podatkowej, Polish VAT number)
      - ID za DDV (Davčna številka, Slovenian VAT number)
      - VAT (Moms, Mervärdesskatt, Swedish VAT number)
      - VAT (United Kingdom (and Isle of Man) VAT registration number)
      - EGN (ЕГН, Единен граждански номер, Bulgarian personal identity codes)
      - PNF (ЛНЧ, Личен номер на чужденец, Bulgarian number of a foreigner)
      - VAT (Идентификационен номер по ДДС, Bulgarian VAT number)
      - VAT (European Union VAT number)
      - OIB (Osobni identifikacijski broj, Croatian identification number)
      - PPS No (Personal Public Service Number, Irish personal number)
      - CPR (personnummer, the Danish citizen number)
    - improvements to the documentation and provide API documentation using
      Sphinx
  * Add missing dependency on pkg_resources package (closes: #654782)
  * Switch to Version 1.0 debian/copyright format.
  * Add a patch from upstream to re-add support for Python3.
  * Upgrade to standards-version 3.9.3 (no changes needed)
  * Run nosetests during build

 -- Arthur de Jong <adejong@debian.org>  Thu, 01 Mar 2012 23:40:00 +0100

python-stdnum (0.6-1) unstable; urgency=low

  * New upstream release:
    - fix a problem with handling an ISBN13 with a valid check digit but with
      an unknown bookland prefix
    - add an IMSI (International Mobile Subscriber Identity) module
    - implement a conversion function from ISBN13 to ISBN10
    - implement an ismn.ismn_type() function
    - implement an imei.split() function that splits the number into a TAC,
      serial number and checksum or software version
    - source code layout changes to better follow PEP8

 -- Arthur de Jong <adejong@debian.org>  Fri, 30 Sep 2011 11:15:00 +0200

python-stdnum (0.5-2) unstable; urgency=low

  * Add python3-setuptools to Build-Depends (closes: #634011)
  * Explicitly set the character encoding to use to UTF-8 during build to
    fix problem with building with Python3 distutils

 -- Arthur de Jong <adejong@debian.org>  Mon, 18 Jul 2011 23:20:00 +0200

python-stdnum (0.5-1) unstable; urgency=low

  * New upstream release:
    - add modules for the following number formats:
      - EAN (International Article Number)
    - refactoring to use the EAN check digit code for ISBN and ISMN checks
    - implement a conversion function from ISSN to EAN
    - support Python3 with the same codebase
    - Python 2.5 compatibility improvement
  * Switch to using dh_python2
  * Upgrade to standards-version 3.9.2 (no changes needed)
  * Also build a python3-stdnum package

 -- Arthur de Jong <adejong@debian.org>  Sat, 09 Jul 2011 22:50:00 +0200

python-stdnum (0.4-1) unstable; urgency=low

  * New upstream release:
    - add modules for the following number formats:
      - CPF (Cadastro de Pessoas Físicas, the Brazillian national
        identification number)
      - IBAN (International Bank Account Number)
      - ISIL (International Standard Identifier for Libraries and Related
        Organizations)
      - SSN (U.S. Social Security Number)
    - implement an internal module to store and handle hierarchically
      organised data structures efficiently
    - regional-specific numbers are now in ISO 3166 packages (the BSN module
      is now in stdnum.nl.bsn)
    - ISBN module functions now have a convert flag to convert to ISBN-13 on
      the fly
  * Update package description

 -- Arthur de Jong <adejong@debian.org>  Sun, 06 Feb 2011 19:40:00 +0100

python-stdnum (0.3-1) unstable; urgency=low

  * New upstream release:
    - add modules for the following number formats:
      - ISMN (International Standard Music Number)
      - ISAN (International Standard Audiovisual Number)
      - IMEI (International Mobile Equipment Identity)
      - MEID (Mobile Equipment Identifier)
      - GRid (Global Release Identifier)
    - add modules for handling the following check digit algorithms:
      - the Verhoeff algorithm
      - the Luhn and Luhn mod N algorithms
      - some algorithms described in ISO/IEC 7064: Mod 11, 2, Mod 37, 2,
        Mod 97, 10, Mod 11, 10 and Mod 37, 36
  * Update package description

 -- Arthur de Jong <adejong@debian.org>  Sat, 11 Sep 2010 11:55:57 +0200

python-stdnum (0.2-1) unstable; urgency=low

  * New upstream release:
    - rename validate() function to is_valid() for all modules
    - handle wrong types passed to is_valid() more gracefully
    - add more tests and fix some minor bugs
  * Standards-Version bumped to 3.9.1 (no changes needed).
  * Added <python-modules-team@lists.alioth.debian.org> to Uploaders.
  * Updated Vcs-* fields.

 -- Arthur de Jong <adejong@debian.org>  Mon, 16 Aug 2010 23:03:41 +0200

python-stdnum (0.1-1) unstable; urgency=low

  * Re-upload as non-native package.
  * Add debian/watch file.

 -- Arthur de Jong <adejong@debian.org>  Mon, 26 Jul 2010 22:00:00 +0200

python-stdnum (0.1) unstable; urgency=low

  * Initial release.

 -- Arthur de Jong <adejong@debian.org>  Sat, 24 Jul 2010 00:55:41 +0200
